Update an existing performance policy in NetApp Console local deployment
PATCH /v1/organizations/{organizationId}/performancepolicies/{performancePolicyId}
Updates an existing performance policy by using its unique identifier within the specified organization.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
organizationId |
string |
path |
True |
Unique identifier of the organization. |
performancePolicyId |
string |
path |
True |
Unique identifier of the performance policy to be updated. |
Request Body
Expected to contain parameters for updating the performance policy.
| Name | Type | Required | Description |
|---|---|---|---|
adaptive |
False |
Adaptive performance policy details. |
|
description |
string |
False |
Description of the performance policy. |
name |
string |
False |
Name of the performance policy. |
tags |
array[tags] |
False |
JSON array of tags (name/value pairs) associated with the performance policy. Can be used to add any additional data related to the performance policy. |
type |
string |
True |
Media type of the resource. Defined values are:
|
version |
string |
True |
Version of the resource schema. Defined values are:
|
Example request
{
"adaptive": {
"absoluteMinIopsPerTb": 900,
"expectedIopsPerTb": 1200,
"expectedLatency": 400,
"peakIopsPerTb": 1800
},
"description": "Updated configuration for performance workloads",
"name": "Updated Performance Policy",
"tags": [
{
"internal:bxp:metric:associatedWorkloadCnt": "5"
}
],
"type": "application/vnd.netapp.bxp.performancepolicy",
"version": "1.0"
}
Response
Status: 204, Performance policy updated successfully.
Error
Status: 400, Bad request
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The supplied query parameters are invalid.",
"status": "400",
"title": "Invalid query parameters",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 401, Unauthorized
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request is missing the required bearer token.",
"status": "401",
"title": "Missing bearer token",
"type": "https://bluexp.netapp.io/problems/1"
}
Error
Status: 403, Forbidden
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The requested operation isn't permitted.",
"status": "403",
"title": "Operation not permitted",
"type": "https://bluexp.netapp.io/problems/11"
}
Error
Status: 404, Not found
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The collection specified in the request URI wasn't found.",
"status": "404",
"title": "Collection not found",
"type": "https://bluexp.netapp.io/problems/2"
}
Error
Status: 409, Conflict
| Name | Type | Required | Description |
|---|---|---|---|
correlationId |
string |
False |
Internal UUID representing the request or trace ID related. |
detail |
string |
False |
Details about the problem. |
invalidParams |
array[invalidParams] |
False |
List of invalid parameters. |
status |
string |
True |
HTTP error code related to the problem. |
title |
string |
True |
Title description of the problem. |
type |
string |
True |
Content-type of the object. |
Example error response
{
"detail": "The request body JSON contains a field that conflicts with an idempotent value.",
"status": "409",
"title": "JSON resource conflict",
"type": "https://bluexp.netapp.io/problems/10"
}
Definitions
See Definitions
adaptive_performance_policy_1.0_patch_request_body
Adaptive performance policy details.
| Name | Type | Required | Description |
|---|---|---|---|
absoluteMinIopsPerTb |
integer |
False |
Absolute minimum IOPS per terabyte that is used as an override when the expected IOPS is less than this value. |
expectedIopsPerTb |
integer |
False |
Minimum expected IOPS, per terabyte. |
expectedLatency |
integer |
False |
Expected latency, in milliseconds. |
peakIopsPerTb |
integer |
False |
Maximum expected IOPS, per terabyte. |
invalidParams
| Name | Type | Required | Description |
|---|---|---|---|
name |
string |
True |
Name of the invalid parameter. |
reason |
string |
True |
Reason why the parameter is invalid. |